Documentation>C API
Data Fields
VlKDForestNeighbor Struct Reference

Neighbor of a query point.

`#include <kdtree.h>`

## Data Fields

double | distance
vl_uindex | index

## Field Documentation

## ◆ distance

double VlKDForestNeighbor::distance

distance to the query point

## ◆ index

vl_uindex VlKDForestNeighbor::index

index of the neighbor in the KDTree data

The documentation for this struct was generated from the following file:

- kdtree.h